at.chipkarte.client.elgaad.soap

## Class Dokumentenuebersicht

- Object
- - at.chipkarte.client.elgaad.soap.Dokumentenuebersicht

-     public class Dokumentenuebersicht
      extends Object

  Ergebnis der Funktion `dokumentenuebersichtAbrufen()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dokumentenuebersicht()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BackendMeldung[]` | `getBackendMeldungList()` Meldungen aus dem Backend.
    `Boolean` | `getBefundeErfolgreich()` Kennzeichen, ob die Liste der Befunde-Metadaten vollständig retourniert werden konnte.
    `Boolean` | `getImpfpassErfolgreich()` Kennzeichen, ob Metadaten des Impfpasses retourniert werden konnten.
    `Boolean` | `getMedikationslisteErfolgreich()` Kennzeichen, ob Metadaten der Medikationsliste retourniert werden konnten.
    `Metadaten[]` | `getXdsMetadaten()` Liste der ermittelten XDS-Metadaten zu den Dokumenten.
    `void` | `setBackendMeldungList(BackendMeldung[] backendMeldungList)`
    `void` | `setBefundeErfolgreich(Boolean befundeErfolgreich)`
    `void` | `setImpfpassErfolgreich(Boolean impfpassErfolgreich)`
    `void` | `setMedikationslisteErfolgreich(Boolean medikationslisteErfolgreich)`
    `void` | `setXdsMetadaten(Metadaten[] xdsMetadaten)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dokumentenuebersicht

          public Dokumentenuebersicht()

  - ### Method Detail

    - #### getXdsMetadaten

          public Metadaten[] getXdsMetadaten()

      Liste der ermittelten XDS-Metadaten zu den Dokumenten. Siehe `Metadaten`.
      Angabe: Kann
      Returns:
        Liste von XDS-Metadaten.

    - #### getBefundeErfolgreich

          public Boolean getBefundeErfolgreich()

      Kennzeichen, ob die Liste der Befunde-Metadaten vollständig retourniert werden konnte.
      Angabe: Muss Format: Boolean, `true` falls die Liste der Befund-Metadaten vollständig ist, anderenfalls `false`
      Returns:
        Kennzeichen, ob die Liste der Befunde-Metadaten vollständig ist.

    - #### getImpfpassErfolgreich

          public Boolean getImpfpassErfolgreich()

      Kennzeichen, ob Metadaten des Impfpasses retourniert werden konnten.
      Angabe: Muss Format: Boolean, `true` falls Metadaten des Impfpasses retourniert werden konnten, anderenfalls `false`
      Returns:
        Kennzeichen, ob die Metadaten des Impfpasses retourniert werden konnten.

    - #### getMedikationslisteErfolgreich

          public Boolean getMedikationslisteErfolgreich()

      Kennzeichen, ob Metadaten der Medikationsliste retourniert werden konnten.
      Angabe: Muss Format: Boolean, `true` falls Metadaten der Medikationsliste retourniert werden konnten, anderenfalls `false`
      Returns:
        Kennzeichen, ob die Metadaten der Medikationsliste retourniert werden konnten.

    - #### getBackendMeldungList

          public BackendMeldung[] getBackendMeldungList()

      Meldungen aus dem Backend. Siehe `BackendMeldung`.
      Angabe: Kann.
      Returns:
        Liste von Backendmeldungen.

    - #### setXdsMetadaten

          public void setXdsMetadaten(Metadaten[] xdsMetadaten)

    - #### setBefundeErfolgreich

          public void setBefundeErfolgreich(Boolean befundeErfolgreich)

    - #### setMedikationslisteErfolgreich

          public void setMedikationslisteErfolgreich(Boolean medikationslisteErfolgreich)

    - #### setImpfpassErfolgreich

          public void setImpfpassErfolgreich(Boolean impfpassErfolgreich)

    - #### setBackendMeldungList

          public void setBackendMeldungList(BackendMeldung[] backendMeldungList)